Bug 149337 - eog crashes when opening with an image
eog crashes when opening with an image
Status: CLOSED CURRENTRELEASE
Product: Fedora
Classification: Fedora
Component: eog (Show other bugs)
3
i686 Linux
medium Severity medium
: ---
: ---
Assigned To: Behdad Esfahbod
: FutureFeature
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2005-02-22 11:02 EST by Simon
Modified: 2007-11-30 17:11 EST (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Enhancement
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2007-11-17 22:26:11 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Simon 2005-02-22 11:02:28 EST
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.7.5) Gecko/20041111 Firefox/1.0

Description of problem:
When I try to open an image from nautilus I get the error message "The Application "eog" has quit unexpectedly". I get no other information, and nothing appears in the standard logs. I get the same error when loading eog from the commandline with the command "eog imagefile". I can open eog from the commandline if I dont specify an image file, but when I goto the file menu, and try to open an image from there, eog crashes again.

This has apparently been dealt with and rectified upstream
http://bugzilla.gnome.org/show_bug.cgi?id=155241

but 2.8.2 does not appear in testing currently.

Version-Release number of selected component (if applicable):
eog-2.8.0-3

How reproducible:
Always

Steps to Reproduce:
1.Try to load an image in eog
2.Crashes
3.
  

Actual Results:  Crash

Expected Results:  Load

Additional info:
Comment 1 Alexander Kain 2005-03-06 00:12:21 EST
This can happen with certain themes. For example, using the new "clearlooks"
(v0.3) theme it crashes, but not with "glider".
Comment 2 Matthew Miller 2006-07-10 17:43:23 EDT
Fedora Core 3 is now maintained by the Fedora Legacy project for security
updates only. If this problem is a security issue, please reopen and
reassign to the Fedora Legacy product. If it is not a security issue and
hasn't been resolved in the current FC5 updates or in the FC6 test
release, reopen and change the version to match.

Thank you!
Comment 3 ritz 2006-09-11 07:21:05 EDT
patch obtained from http://bugzilla.gnome.org/show_bug.cgi?id=155241

http://bugzilla.gnome.org/attachment.cgi?id=33794
tested, and works for me (tm)
Comment 4 Tyler Owen 2007-11-16 09:41:25 EST
Does this bug still need to be opened?  Just saw it when I was looking at
testing the latest F-8 update for eog, 2.20 and this bug is against 2.8.. I
don't think it is relevant any more!
Comment 5 Matthias Clasen 2007-11-17 22:26:11 EST
You are right, thanks.

Note You need to log in before you can comment on or make changes to this bug.